Upgrade Discourse via UI issue (app.yml, version ignored)


(Ivan Rapekas) #1

Hi,

Recently I upgraded my Discourse instance from 1.9.4 to 2.0.2+4 using admin console in web UI. The weird thing was version: stable enabled in app.yml. Obviously the updater has ignored this setting :face_with_raised_eyebrow:.

Two weeks ago I did the same with another instance and the updater allowed me to renew my forum to version 2.0.1 only. After 2.0.2 was published, the updater warned that I need to run rebuild from cmd. Today I expected that the same upgrade will be performed from 1.9.4 to 2.0.1. But actually I got latest 2.0.2+4…

That’s my choice to stay on stable branch, so I would like not to start discussing latest branch is the best etc. Just inform the team that the important line in app.yml was ignored during upgrade.

Best regards,
Ivan


(Felix Freiberger) #2

What makes you think you are not on stable?

Currently, stable is four commits beyond 2.0.2.


(Ivan Rapekas) #3

@fefrei, I saw in console window that I was pinned to latest branch. Unfortunately I cannot find any logs of upgrade to find a proof. Actually stable is a branch, not a tag, that might be a reason of my surprising.